#ifndef HELPER_H
#define HELPER_H

#include <errno.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>
#include <getopt.h>

enum argumentParseResult {
  RESULT_OK = 0,
  RESULT_EXIT_SUCCESS,
  RESULT_EXIT_FAILURE
};

struct configuration {
    char* filename;
  int implementationToUse;
  int doBenchmark;
  int benchmarkingCycles;
};

enum argumentParseResult parseArguments(int argc, char** argv, struct configuration* c);

#endif // HELPER_H