#include "helper.h"
#include "io.h"
#include "md2.h"

int main(int argc, char** argv) {
     
    struct configuration c;
    enum argumentParseResult result = parseArguments(argc, argv, &c);

    switch (result)
    {
    case RESULT_EXIT_SUCCESS:
        return EXIT_SUCCESS;
    case RESULT_EXIT_FAILURE:
        return EXIT_FAILURE;
    default:
        break;
    }

    printf("Hashing file: %s\nUsing implementation: %d, doing benchmark: %d, benchmark cycles: %d\n", c.filename, c.implementationToUse, c.doBenchmark, c.benchmarkingCycles);

    return 0;
}
